## org.eclipse.datatools.connectivity.ui.actions
Class AddRepositoryViewAction

    java.lang.Object
      Action
          org.eclipse.datatools.connectivity.ui.actions.AddProfileViewAction
              org.eclipse.datatools.connectivity.ui.actions.AddRepositoryViewAction

public class AddRepositoryViewAction
extends AddProfileViewAction

See Also:
  Serialized Form

Constructor Summary
`AddRepositoryViewAction()`

Method Summary
`void` `run()`

Methods inherited from class org.eclipse.datatools.connectivity.ui.actions.AddProfileViewAction
`getAddedProfile, getParentProfile, getWizardReturnCode, init, run, selectionChanged, setCategory, setCategory, setParentProfile`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddRepositoryViewAction

    public AddRepositoryViewAction()

Method Detail

### run

    public void run()

  Overrides:
    `run` in class `AddProfileViewAction`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.